From b20a7307368932b35ec0d7cdebb68a710cbbf8ba Mon Sep 17 00:00:00 2001
From: Jean-Baptiste Mardelle <jb@kdenlive.org>
Date: Wed, 15 Jan 2020 11:30:20 +0100
Subject: Fix crash on new project with Qt 5.14 Related to #494

---
 src/timeline2/view/timelinewidget.cpp | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

diff --git a/src/timeline2/view/timelinewidget.cpp b/src/timeline2/view/timelinewidget.cpp
index 452e4d7..f8bf6ed 100644
--- a/src/timeline2/view/timelinewidget.cpp
+++ b/src/timeline2/view/timelinewidget.cpp
@@ -65,6 +65,7 @@ TimelineWidget::TimelineWidget(QWidget *parent)
     // Build transition model for context menu
     m_transitionModel = TransitionTreeModel::construct(true, this);
     m_transitionProxyModel = std::make_unique<TransitionFilter>(this);
+    m_sortModel = std::make_unique<QSortFilterProxyModel>(this);
     static_cast<TransitionFilter *>(m_transitionProxyModel.get())->setFilterType(true, TransitionType::Favorites);
     m_transitionProxyModel->setSourceModel(m_transitionModel.get());
     m_transitionProxyModel->setSortRole(AssetTreeModel::NameRole);
@@ -89,6 +90,8 @@ TimelineWidget::TimelineWidget(QWidget *parent)
 
 TimelineWidget::~TimelineWidget()
 {
+    rootContext()->setContextProperty("multitrack", 0);
+    rootContext()->setContextProperty("timeline", 0);
     delete m_proxy;
 }
 
@@ -113,11 +116,9 @@ const QStringList TimelineWidget::sortedItems(const QStringList &items, bool isT
 
 void TimelineWidget::setModel(const std::shared_ptr<TimelineItemModel> &model, MonitorProxy *proxy)
 {
-    m_sortModel = std::make_unique<QSortFilterProxyModel>(this);
     m_sortModel->setSourceModel(model.get());
     m_sortModel->setSortRole(TimelineItemModel::SortRole);
     m_sortModel->sort(0, Qt::DescendingOrder);
-
     m_proxy->setModel(model);
     rootContext()->setContextProperty("multitrack", m_sortModel.get());
     rootContext()->setContextProperty("controller", model.get());
-- 
cgit v1.1
